beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PostCommit_Py_ValCont #685
Date Fri, 14 Sep 2018 21:33:22 GMT
See <https://builds.apache.org/job/beam_PostCommit_Py_ValCont/685/display/redirect?page=changes>

Changes:

[pablo] Adding a custom coder test

[github] Adding license

------------------------------------------
[...truncated 111.73 KB...]

> Task :beam-sdks-go:resolveBuildDependencies
Resolving golang.org/x/net: commit='2fb46b16b8dda405028c50f7c7f0f9dd1fa6bfb1', urls=[https://go.googlesource.com/net]
Resolving golang.org/x/oauth2: commit='a032972e28060ca4f5644acffae3dfc268cc09db', urls=[https://go.googlesource.com/oauth2]
Resolving golang.org/x/sync: commit='fd80eb99c8f653c847d294a001bdf2a3a6f768f5', urls=[https://go.googlesource.com/sync]
Resolving golang.org/x/sys: commit='37707fdb30a5b38865cfb95e5aab41707daec7fd', urls=[https://go.googlesource.com/sys]
Resolving cached github.com/coreos/etcd: commit='11214aa33bf5a47d3d9d8dafe0f6b97237dfe921',
urls=[https://github.com/coreos/etcd.git, git@github.com:coreos/etcd.git]
Resolving cached github.com/coreos/etcd: commit='11214aa33bf5a47d3d9d8dafe0f6b97237dfe921',
urls=[https://github.com/coreos/etcd.git, git@github.com:coreos/etcd.git]
Resolving google.golang.org/api: commit='386d4e5f4f92f86e6aec85985761bba4b938a2d5', urls=[https://code.googlesource.com/google-api-go-client]
Resolving google.golang.org/genproto: commit='2b5a72b8730b0b16380010cfe5286c42108d88e7', urls=[https://github.com/google/go-genproto]
Resolving google.golang.org/grpc: commit='7646b5360d049a7ca31e9133315db43456f39e2e', urls=[https://github.com/grpc/grpc-go]
Resolving cached github.com/coreos/etcd: commit='11214aa33bf5a47d3d9d8dafe0f6b97237dfe921',
urls=[https://github.com/coreos/etcd.git, git@github.com:coreos/etcd.git]
Resolving cached github.com/coreos/etcd: commit='11214aa33bf5a47d3d9d8dafe0f6b97237dfe921',
urls=[https://github.com/coreos/etcd.git, git@github.com:coreos/etcd.git]

> Task :beam-sdks-go:installDependencies
> Task :beam-sdks-go:buildLinuxAmd64
> Task :beam-sdks-go:build

> Task :beam-sdks-python-container:resolveBuildDependencies
Resolving ./github.com/apache/beam/sdks/go@<https://builds.apache.org/job/beam_PostCommit_Py_ValCont/ws/src/sdks/go>

> Task :beam-sdks-python-container:installDependencies
> Task :beam-sdks-python-container:buildLinuxAmd64
> Task :beam-sdks-python-container:build
> Task :beam-sdks-python-container:dockerPrepare
> Task :beam-sdks-python-container:docker

Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
See https://docs.gradle.org/4.8/userguide/command_line_interface.html#sec:command_line_warnings

BUILD SUCCESSFUL in 5m 25s
16 actionable tasks: 15 executed, 1 up-to-date

Publishing build scan...
https://gradle.com/s/bflxdupdqmwzq


# Verify it exists
docker images | grep $TAG
us.gcr.io/apache-beam-testing/jenkins/python   20180914-212709     e5f32cda505c        Less
than a second ago   1.61GB

# Push the container
gcloud docker -- push $CONTAINER
The push refers to a repository [us.gcr.io/apache-beam-testing/jenkins/python]
75370dbfed35: Preparing
3eada468234f: Preparing
9a2eac1756cb: Preparing
a94417eddb78: Preparing
bb9c21da9d58: Preparing
263d03b62eba: Preparing
679645bb925b: Preparing
130f23df7a35: Preparing
0d184ba72737: Preparing
a19cb627cc73: Preparing
263d03b62eba: Waiting
ab016c9ea8f8: Preparing
2eb1c9bfc5ea: Preparing
679645bb925b: Waiting
0d184ba72737: Waiting
130f23df7a35: Waiting
a19cb627cc73: Waiting
ab016c9ea8f8: Waiting
0b703c74a09c: Preparing
2eb1c9bfc5ea: Waiting
b28ef0b6fef8: Preparing
b28ef0b6fef8: Waiting
3eada468234f: Layer already exists
a94417eddb78: Layer already exists
75370dbfed35: Layer already exists
9a2eac1756cb: Layer already exists
bb9c21da9d58: Layer already exists
263d03b62eba: Layer already exists
679645bb925b: Layer already exists
130f23df7a35: Layer already exists
0d184ba72737: Layer already exists
a19cb627cc73: Layer already exists
ab016c9ea8f8: Layer already exists
0b703c74a09c: Layer already exists
2eb1c9bfc5ea: Layer already exists
b28ef0b6fef8: Layer already exists
20180910-234438: digest: sha256:a72d812627cfc4527d11b2ddb8d6f584230ce76966b3fa43a61ffc33444b6e13
size: 3278
7a7f18b001e6: Preparing
6839f54e7716: Preparing
270836ec6d83: Preparing
d5795008aed6: Preparing
90e8e3984e66: Preparing
263d03b62eba: Preparing
679645bb925b: Preparing
130f23df7a35: Preparing
0d184ba72737: Preparing
a19cb627cc73: Preparing
ab016c9ea8f8: Preparing
2eb1c9bfc5ea: Preparing
0b703c74a09c: Preparing
b28ef0b6fef8: Preparing
679645bb925b: Waiting
130f23df7a35: Waiting
0d184ba72737: Waiting
a19cb627cc73: Waiting
ab016c9ea8f8: Waiting
2eb1c9bfc5ea: Waiting
263d03b62eba: Waiting
0b703c74a09c: Waiting
b28ef0b6fef8: Waiting
90e8e3984e66: Pushed
130f23df7a35: Layer already exists
0d184ba72737: Layer already exists
a19cb627cc73: Layer already exists
ab016c9ea8f8: Layer already exists
2eb1c9bfc5ea: Layer already exists
263d03b62eba: Layer already exists
679645bb925b: Layer already exists
b28ef0b6fef8: Layer already exists
0b703c74a09c: Layer already exists
270836ec6d83: Pushed
7a7f18b001e6: Pushed
6839f54e7716: Pushed
d5795008aed6: Pushed
20180914-212709: digest: sha256:c62081d020785d506d2574a202f32548cb8ae69482d5414aaa5a36bb654fd831
size: 3278

function cleanup_container {
  # Delete the container locally and remotely
  docker rmi $CONTAINER:$TAG || echo "Failed to remove container"
  gcloud --quiet container images delete $CONTAINER:$TAG || echo "Failed to delete container"
  echo "Removed the container"
}
trap cleanup_container EXIT

# Virtualenv for the rest of the script to run setup & e2e test
virtualenv sdks/python/container
New python executable in <https://builds.apache.org/job/beam_PostCommit_Py_ValCont/ws/src/sdks/python/container/bin/python2>
Also creating executable in <https://builds.apache.org/job/beam_PostCommit_Py_ValCont/ws/src/sdks/python/container/bin/python>
Installing setuptools, pkg_resources, pip, wheel...done.
Running virtualenv with interpreter /usr/bin/python2
. sdks/python/container/bin/activate
# This file must be used with "source bin/activate" *from bash*
# you cannot run it directly

deactivate () {
    unset -f pydoc >/dev/null 2>&1

    # reset old environment variables
    # ! [ -z ${VAR+_} ] returns true if VAR is declared at all
    if ! [ -z "${_OLD_VIRTUAL_PATH+_}" ] ; then
        PATH="$_OLD_VIRTUAL_PATH"
        export PATH
        unset _OLD_VIRTUAL_PATH
    fi
    if ! [ -z "${_OLD_VIRTUAL_PYTHONHOME+_}" ] ; then
        PYTHONHOME="$_OLD_VIRTUAL_PYTHONHOME"
        export PYTHONHOME
        unset _OLD_VIRTUAL_PYTHONHOME
    fi

    # This should detect bash and zsh, which have a hash command that must
    # be called to get it to forget past commands.  Without forgetting
    # past commands the $PATH changes we made may not be respected
    if [ -n "${BASH-}" ] || [ -n "${ZSH_VERSION-}" ] ; then
        hash -r 2>/dev/null
    fi

    if ! [ -z "${_OLD_VIRTUAL_PS1+_}" ] ; then
        PS1="$_OLD_VIRTUAL_PS1"
        export PS1
        unset _OLD_VIRTUAL_PS1
    fi

    unset VIRTUAL_ENV
    if [ ! "${1-}" = "nondestructive" ] ; then
    # Self destruct!
        unset -f deactivate
    fi
}

# unset irrelevant variables
deactivate nondestructive

VIRTUAL_ENV="<https://builds.apache.org/job/beam_PostCommit_Py_ValCont/ws/src/sdks/python/container">
export VIRTUAL_ENV

_OLD_VIRTUAL_PATH="$PATH"
PATH="$VIRTUAL_ENV/bin:$PATH"
export PATH

# unset PYTHONHOME if set
if ! [ -z "${PYTHONHOME+_}" ] ; then
    _OLD_VIRTUAL_PYTHONHOME="$PYTHONHOME"
    unset PYTHONHOME
fi

if [ -z "${VIRTUAL_ENV_DISABLE_PROMPT-}" ] ; then
    _OLD_VIRTUAL_PS1="$PS1"
    if [ "x" != x ] ; then
        PS1="$PS1"
    else
        PS1="(`basename \"$VIRTUAL_ENV\"`) $PS1"
    fi
    export PS1
fi
basename "$VIRTUAL_ENV"

# Make sure to unalias pydoc if it's already there
alias pydoc 2>/dev/null >/dev/null && unalias pydoc

pydoc () {
    python -m pydoc "$@"
}

# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands.  Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH-}" ] || [ -n "${ZSH_VERSION-}" ] ; then
    hash -r 2>/dev/null
fi
cd sdks/python
pip install -e .[gcp,test]
Obtaining file://<https://builds.apache.org/job/beam_PostCommit_Py_ValCont/ws/src/sdks/python>
Collecting crcmod<2.0,>=1.7 (from apache-beam==2.8.0.dev0)
Collecting dill<=0.2.8.2,>=0.2.6 (from apache-beam==2.8.0.dev0)
Collecting fastavro<0.22,>=0.21.4 (from apache-beam==2.8.0.dev0)
Collecting grpcio<2,>=1.8 (from apache-beam==2.8.0.dev0)
  Using cached https://files.pythonhosted.org/packages/3d/15/b34114198a2bc9c9bb73b21e2b559468a1a68bb28b373d21da6e51d6204f/grpcio-1.15.0-cp27-cp27mu-manylinux1_x86_64.whl
Could not install packages due to an EnvironmentError: [Errno 2] No such file or directory:
'/tmp/pip-req-tracker-pjvlIe/4017a926aa7d459028343b76c68595296e47d92289aa40a4298ce757'

cleanup_container
Untagged: us.gcr.io/apache-beam-testing/jenkins/python:20180914-212709
Untagged: us.gcr.io/apache-beam-testing/jenkins/python@sha256:c62081d020785d506d2574a202f32548cb8ae69482d5414aaa5a36bb654fd831
Deleted: sha256:e5f32cda505c0623a1a0ea7371f1395345edb5f90f7912438571b731853e6382
Deleted: sha256:9005e74e6ff518249a5965822184c38aaa07c946a71b323fe7606c822c53f317
Deleted: sha256:cef46ddea7a550ca9ef371aa2978ba3301b9b497363db8baa453d70534d44a77
Deleted: sha256:770b3e832abbb00dfbbc782c2306b4d9f7e60286a575ccc13a9f09a627fbdab7
Deleted: sha256:f2db75191d07a4d39dc7d35bb5b6c1d0d886374283f1a7930fc390d6f7ae5c82
Deleted: sha256:c3a49198036e8b099e8b6d9add49f36cbb4469d802bede6b1bce9b624e236b27
Deleted: sha256:c28a8ca867d054660e5c54b8e3423c1e9a88f6845220f2242ed9f3502f02ff91
Deleted: sha256:6be7de76217d1a66a1f8c725ecf895765a11415c9a438dc8e5b717f019f2f35b
Deleted: sha256:c79a9be067234e2aa1be94a5453f8e9e28a1b70217228ee2203ba164a44b1484
Deleted: sha256:87f2d74f2ba9d8bf4e02fc69b460da6193c3cda6b8695d1dceff41435b88e94a
Deleted: sha256:ae061ca9e6f4ec9231f947bc5c7e63ef1d4995b1f965faf2e6239e245729e096
Deleted: sha256:7282d62255973124fa4efb27330fc75416584beb691d4157292153df39f9a9d9
Digests:
- us.gcr.io/apache-beam-testing/jenkins/python@sha256:c62081d020785d506d2574a202f32548cb8ae69482d5414aaa5a36bb654fd831
  Associated tags:
 - 20180914-212709
Tags:
- us.gcr.io/apache-beam-testing/jenkins/python:20180914-212709
Deleted [us.gcr.io/apache-beam-testing/jenkins/python:20180914-212709].
Deleted [us.gcr.io/apache-beam-testing/jenkins/python@sha256:c62081d020785d506d2574a202f32548cb8ae69482d5414aaa5a36bb654fd831].
Removed the container
Build step 'Execute shell' marked build as failure

Mime
View raw message